package com.liquidnet.service.adam.service;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.liquidnet.service.adam.constant.AdamUserConstants;
import com.liquidnet.service.adam.entity.AdamUserAuthLog;

/**
 * <p>
 *  用户认证记录 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2020-09-16
 */
public interface IAdamUserAuthLogService {

    int insert(AdamUserAuthLog log);

    AdamUserAuthLog getUserAuthLog(String userId, AdamUserConstants.UserAuthTypeEnum typeEnum);

    int updateById(AdamUserAuthLog adamUserAuthLog);

    int update(UpdateWrapper<AdamUserAuthLog> updateWrapper);
}
